Bug 303531 - Add/Remove Software crash
Add/Remove Software crash
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-24 12:29 EDT by Mark Molinari
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-06 03:46:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Molinari 2007-09-24 12:29:53 EDT
Component: Software Manager
Summary: TBec0013f3 depsolve.py:162:populateTs:error: adding package to
transaction failed

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 334, in _apply
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 559, in
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 324, in checkDeps
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 162, in populateTs
    self.ts.addInstall(hdr, (hdr, rpmfile), txmbr.ts_state)
error: adding package to transaction failed

Local variables in innermost frame:
ts_elem: {}
hdr: <rpm.hdr object at 0xa127b90>
self: <__main__.PackageManager object at 0x923cc0c>
rpmfile: //var/cache/yum/updates/packages/mod_ssl-2.2.4-2.1.fc6.i386.rpm
keepold: 0
txmbr: mod_ssl.i386 1-2.2.4-2.1.fc6 - u
test: 0
Comment 1 Panu Matilainen 2007-10-01 09:39:02 EDT
Dupe of #281611 but keeping it open to track FC6 status separately.
Comment 2 Panu Matilainen 2007-11-06 03:46:42 EST
Fixed (adding package twice to transaction treated as warning, not error) in
rpm- which has now been pushed into FC6 updates.

Note You need to log in before you can comment on or make changes to this bug.